# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: pkgconfig(atk) python-devel
# END SourceDeps(oneline)
%define oldname pypoppler
%define fedora 19
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           python-module-pypoppler
Version:        0.12.1
Release:        alt1_23
Summary:        Python bindings for the Poppler PDF rendering library

Group:          Publishing
License:        GPLv2+
URL:            https://launchpad.net/poppler-python
Source0:        http://launchpad.net/poppler-python/trunk/development/+download/%{oldname}-%{version}.tar.gz

BuildRequires:  python-module-pygtk-devel
BuildRequires:  atk-devel
BuildRequires:  libpoppler-devel
BuildRequires:  python-module-pycairo-devel
BuildRequires:  libpoppler-glib-devel >= 0.15

# Release the GIL on blocking functions like rendering pages and getting
# thumbnails, see bug #504240 reported by BenjaminBerg.
# bzr rev 75
Patch0:		75_74.diff

# Manually wrap poppler_page_render_to_pixbuf and
# poppler_page_render_to_pixbuf_for_printing returning the Pixbuf
# bzr rev 76
##Patch1:		76_75.diff

# Fix a few leaks by using the right functions while freeing the returned lists
# bzr 79
Patch2:		79_78.diff

# Changes for poppler 1.5
Patch3:		pypoppler-0.12.1-poppler0.15.0-changes.patch

# Minimal fix for changes in poppler 0.18
Patch4:		pypoppler-0.12.1-poppler-0.18.0-minimal-fix.patch

# Fix for resource leaks
Patch5:     alexandervdm_316722.patch
Source44: import.info

%description
Python bindings for the Poppler PDF rendering library. It is needed to
run programs written in Python and using Poppler set.

%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p0 -b .bzr75
##%patch1 -p0 -b .bzr76
%patch2 -p0 -b .bzr79
%patch3 -p1 -b .poppler15
%patch4 -p1 -b .poppler-18-minimal
%patch5 -p1 -b .alexandervdm_316722

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%files
%doc AUTHORS ChangeLog COPYING NEWS
%{python_sitelibdir}/poppler*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.12.1-alt1_23
- update to new release by fcimport

* Thu Jan 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.12.1-alt1_22
- initial fc import

